## ros-one-qb-device-driver 3.1.2-1jammy.20251023.0035

=== debian/changelog ===
ros-one-qb-device-driver (3.1.2-1jammy.20251023.0035) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- qb Support Team <support@qbrobotics.com>  Thu, 23 Oct 2025 00:35:05 +0000

ros-one-qb-device-driver (3.1.2-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 07 Jun 2024 00:00:00 -0000

ros-one-qb-device-driver (3.1.1-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 07 Jun 2024 00:00:00 -0000

ros-one-qb-device-driver (3.1.0-0jammy) jammy; urgency=high

  * Updated Submodule
  * FIX: submodules updated and current/deflection control mode check
  * FIX: Conflict with ros-serial
  * Tested code with modification and new API

 -- qb Support Team <support@qbrobotics.com>  Wed, 26 Jul 2023 00:00:00 -0000

ros-one-qb-device-driver (3.0.6-0jammy) jammy; urgency=high

  * FEAT: added option to specify the serial port to connect to. This can be useful when is desired to use the device with virtual ports (e.g. UR)
  * FEAT: Added compatibility with new FW version of SHR
  * MINOR FIX: Changed the name of the package maintainer

 -- qb Support Team <support@qbrobotics.com>  Wed, 26 Apr 2023 00:00:00 -0000

ros-one-qb-device-driver (3.0.5-0jammy) jammy; urgency=high

  * MINOR FIX: Changed cmake version required in all packages (current version 3.0.2).

 -- qb Support Team <support@qbrobotics.com>  Wed, 07 Sep 2022 00:00:00 -0000

ros-one-qb-device-driver (3.0.4-0jammy) jammy; urgency=high

  * package compiled with qbdevice-api v1.1.3

 -- qb Support Team <support@qbrobotics.com>  Mon, 18 Jul 2022 00:00:00 -0000

ros-one-qb-device-driver (3.0.3-0jammy) jammy; urgency=high

  * package compiled with qbdevice-api v1.1.2

 -- qb Support Team <support@qbrobotics.com>  Fri, 15 Jul 2022 00:00:00 -0000

ros-one-qb-device-driver (3.0.2-0jammy) jammy; urgency=high

  * Updated qbdevice api pkg to version 1.0.2.

 -- qb Support Team <support@qbrobotics.com>  Thu, 07 Jul 2022 00:00:00 -0000

ros-one-qb-device-driver (3.0.1-0jammy) jammy; urgency=high

  * Updated qbdevice api pkg to version 1.0.1.

 -- qb Support Team <support@qbrobotics.com>  Wed, 06 Jul 2022 00:00:00 -0000

ros-one-qb-device-driver (3.0.0-0jammy) jammy; urgency=high

  * Changed internal qbdevice API with public one.
  * Created service for Homing SHR2
  * Created SHR2 class in qbrobotics-api
  * Minor changes (comments...)
  * Modified serial sub-modules: Changes done in communication_handler node
  * Modified waiting time. Works for a brief period but stop after reboot.
  * modified scanPortsAndDevicesFunction. New API implementation does not with kinematic chain.
  * Added mutex to avoid conflicts on the same serial port. Removed old and unusefull comments.
  * changes in qbrobotics-api.
  * New API migration. qb_device_driver class is no longer required.
  * API 7.X.X integration. Incompatibility with the wrapper script

 -- qb Support Team <support@qbrobotics.com>  Tue, 05 Jul 2022 00:00:00 -0000

ros-one-qb-device-driver (2.3.4-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-one-qb-device-driver (2.3.3-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-one-qb-device-driver (2.3.2-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-one-qb-device-driver (2.3.1-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-one-qb-device-driver (2.3.0-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-one-qb-device-driver (2.2.1-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 27 Aug 2021 00:00:00 -0000

ros-one-qb-device-driver (2.2.0-0jammy) jammy; urgency=high

  * Replaced error stream with throttle
  * Fixed crash when unplagged device is plugged at runtime.
  * Created message published in a topic by communication_handler that contains the connection status of each device.
  * Implemented rescanning when device is not found
  * Deactivation bug fixed
  * Fixed reconnection on killing nodes.
  * Add methods to retrieve actual device references
  * Refactor Gazebo plugin to prepare for SoftHand simulation
  * Added the control mode switch service. Added a parameter to choose to use .yaml limits or firmware ones.
  * Fix init when no device is found on the given port
  * Update license
  * Update arg description
  * Added a parameter to use the device with or without other robots. Added some motor limits when the qbmoves are used in kinematic configs.

 -- qb Support Team <support@qbrobotics.com>  Fri, 27 Aug 2021 00:00:00 -0000

ros-one-qb-device-driver (2.1.1-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Mon, 07 Oct 2019 00:00:00 -0000

ros-one-qb-device-driver (2.1.0-0jammy) jammy; urgency=high

  * Improve inheritance for other devices
  * Update documentation
  * Fix minor style issues

 -- qb Support Team <support@qbrobotics.com>  Tue, 28 May 2019 00:00:00 -0000

ros-one-qb-device-driver (2.0.3-0jammy) jammy; urgency=high

  * Update license agreement copyright

 -- qb Support Team <support@qbrobotics.com>  Thu, 09 Aug 2018 00:00:00 -0000

ros-one-qb-device-driver (2.0.2-0jammy) jammy; urgency=high

  * Exclude dummy boards from the connected device list

 -- qb Support Team <support@qbrobotics.com>  Tue, 07 Aug 2018 00:00:00 -0000

ros-one-qb-device-driver (2.0.1-0jammy) jammy; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Fri, 01 Jun 2018 00:00:00 -0000

ros-one-qb-device-driver (2.0.0-0jammy) jammy; urgency=high

  * Move sleep at low level (next to API)
  * Add method to temporarily change PID parameters
  * Fix doxygen documentation
  * Fix communication errors with asynchronous reads
  * Refactor node registration

