=== debian/changelog ===
ros-one-qb-device-driver (3.1.2-1jammy.20260220.2133) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- qb Support Team <support@qbrobotics.com>  Fri, 20 Feb 2026 21:33:28 +0000
