=== debian/control ===
Source: ros-one-qb-device-driver
Section: misc
Priority: optional
Maintainer: qb Support Team <support@qbrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-qb-device-srvs, ros-one-qb-device-utils, ros-one-roscpp
Homepage: http://wiki.ros.org/qb_device_driver
Standards-Version: 3.9.2

Package: ros-one-qb-device-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-qb-device-srvs, ros-one-qb-device-utils, ros-one-roscpp
Description: This package contains a device-independent API wrapper for qbrobotics® devices.
