=== debian/changelog ===
ros-one-qb-device-driver (3.1.2-1noble.20260220.2139) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- qb Support Team <support@qbrobotics.com>  Fri, 20 Feb 2026 21:39:40 +0000
